# tcl script sample 1 for OpenAccess
#build for build in tcl wrapper

set libname "demolib"
set libpath   "/home/thies/demolib"
set cellname "tcltest"

# Open default lib.defs file
#oa::LibDefListOpenLibs

#check if library is already open
set lib [oa::LibFind $libname]
if { $lib  == "" } {
        puts "libpath must exist"
	set lib [oa::LibOpen $libname $libpath]
        oa::TechCreate $lib
        if { $lib  == "" } {
           puts "Cannot find library, create it"
           set lib [oa::LibCreate $libname $libpath]
           if { $lib  == "" } {
                  puts "Library cannot be created"
           }
           #oa::TechCreate $lib
	}
   } 

set mlay [oa::ViewTypeFind "maskLayout"]
set design [oa::DesignOpen $libname $cellname "layout" $mlay "w"]
set block [oa::BlockCreate $design]

# add a rectangle to the design on layer 9, property 0
set box [oa::Box 0 0 0.500 0.800]
oa::RectCreate $block 9 0 $box

# add a polygon to the design on layer 11, property 0
set p [ oa::PointArray ]

oa::append $p [oa::Point 0.145 0.067 ]
oa::append $p [oa::Point 0.985 0.244 ]
oa::append $p [oa::Point 0.335 0.955 ]
oa::PolygonCreate $block 11 0 $p

oa::save $design


