
#load OpenAccess Script module
import oa

# avoid the oa prefix
from oa import *

libname = "demolib"
libpath   = "/home/thies/demolib"
cellname = "pythontest"

# Open default lib.defs file
oaLibDefList.openLibs()

#check if library is already open
lib = oaLib.find(libname)


if not lib:
        # opens the library
	lib = oaLib.open(libname,libpath)
	if not lib:
	    print ("Cannot find library, will be created")
	    lib=oaLib.create(libname,libpath)
	    if not lib:
                print ("Library cannot be created" )
                sys.exit(1)

mlay = oaViewType.get("maskLayout")
design = oaDesign.open(libname, cellname, "layout", mlay, "r")
if not design:
        print ("view does not exist" )
        sys.exit(1)

block = design.getTopBlock()
if not block:
        print ("no data in view" )
        sys.exit(1)

boxes=0
polygons=0
other=0

#loop over all shapes
for shape in block.getShapes():
      type=shape.getType()
      if (type==oaType("Rect")):
             boxes+=1
      elif (type==oaType("Polygon" )):
             polygons+=1
      else:
             other+=1

print ("The cell '"+cellname+"' contains "+str(boxes)+" box(es), "+str(polygons)+" polygon(s) and "+str(other)+" other shape(s)")
       
design.close()

