#load OpenAccess Script module
require "oa"
# avoid the oa prefix
include Oa

libname = "demolib"
libpath   = "/home/thies/demolib"
cellname = "rubytest"

# Open default lib.defs file
OaLibDefList.openLibs()

#check if library is already open
lib = OaLib.find(libname)

if lib == nil
   if !(File.directory?(libpath))
      require 'fileutils'
      FileUtils.mkdir_p(libpath)
   end

   lib = OaLib.open(libname,libpath)
   if lib==nil
	puts "Cannot find library #{libname}, create it"
	lib=OaLib.create(libname,libpath)
	if lib==nil
	     die("Library #{libname} cannot be created")

        end
   end
end

mlay = OaViewType.get("maskLayout")
design = OaDesign.open(libname, cellname, "layout", mlay, "r")
if design ==nil
        die ("view does not exist" )
end

block = design.getTopBlock()
if block ==nil
        die( "no data in view" )
end

boxes=0
polygons=0
other=0

#loop over all shapes
block.getShapes.each {  |shape|
      type=shape.getType()
      if type== OaType.new("Rect")
           boxes+=1
      elsif type== OaType.new("Polygon")
           polygons+=1
      else
           other+=1
      end
}

puts "The cell '#{cellname}' contains #{boxes} box(es), #{polygons} polygon(s) and #{other} other shape(s)"
       
design.close()

