#load OpenAccess Script module
require "oa"
# avoid the oa prefix
include Oa

libname = "demolib"
libpath   = "/home/thies/demolib"
cellname = "rubytest"

# Open default lib.defs file
OaLibDefList.openLibs()

#check if library is already open
lib = OaLib.find(libname)

if lib == nil
   if !(File.directory?(libpath))
      require 'fileutils'
      FileUtils.mkdir_p(libpath)
   end

   lib = OaLib.open(libname,libpath)
   if lib==nil
	puts "Cannot find library #{libname}, create it"
	lib=OaLib.create(libname,libpath)
	if lib==nil
	     die("Library #{libname} cannot be created")

        end
   end
end

mlay = OaViewType.get("maskLayout")
design = OaDesign.open(libname, cellname, "layout", mlay, "w")
block = OaBlock.create(design)

# add a rectangle to the design on layer 9, property 0
box=OaBox.new(0,0,500,800)
OaRect.create(block,9,0,box)

# add a polygon to the design on layer 9, property 0
p=OaPointArray.new()
p.append([145,67]);
p.append([985,244]);
p.append([335,955]);
OaPolygon.create(block,9,0,p)

design.save()

#until here identical with sample 1


require 'LayoutScript'
include LayoutScript

#set the used OpenAccess version if not started from the integrated TextEditor
#Setup.use_oa_version("22.50")

l=Project.new_layout(); 

l.drawing.open_view(libname,cellname,"layout")

l.drawing.currentCell.select_all()

l.drawing.currentCell.merge_select()

#save the edited cell to the OpenAccess library
l.drawing.save_file("layout.oa")

# export the cell to gds
l.drawing.save_file("/home/thies/demo-out.gds")

# export the cell to dxf
l.drawing.save_file("/home/thies/demo-out.dxf")


puts "Ruby example completed" 
